TokyoTyrant::putKeep
TokyoTyrant::putShl
TokyoTyrant
PHP Manual

# TokyoTyrant::putNr

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::putNr — Puts value

### Description

public TokyoTyrant TokyoTyrant::putNr ( mixed `$keys` [, string `$value` = NULL ] )

Puts a key-value pair into the database or multiple key-value pairs. If `keys` is string then the second parameter value defines the value. The second parameter is mandatory if `keys` is a string. This method does not wait for the response from the server.

### Liste de paramètres

`keys`

  A string key or an array of key-value pairs

`value`

  The value in case a string key is used

### Valeurs de retour

This method returns a reference to the current object and throws TokyoTyrantException on failure.

### Exemples

Exemple #1 TokyoTyrant::putNr example

`<?php
/* Connect to a database on default port */
$tt = new TokyoTyrant("localhost");
/* Put single key-value pair */
$tt->putNr("key", "value");
/* Put key-value pairs */
$tt->putNr(array("key1" => "value1", "key2" => "value2"));
/* Get back one key */
echo $tt->get("key1");
?>`

L'exemple ci-dessus va afficher :

    value1

### Voir aussi

- TokyoTyrant::putNr
- TokyoTyrant::putKeep - Puts a record
- TokyoTyrant::putCat - Concatenates to a record

TokyoTyrant::putKeep
TokyoTyrant::putShl
TokyoTyrant
PHP Manual